%define name	bibtex2html
%define version 1.82
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A Tool for translating from BibTeX to HTML
Group:		Publishing
License:	GPL
URL:		http://www.lri.fr/~filliatr/bibtex2html
Source:		http://www.lri.fr/~filliatr/ftp/bibtex2html/%{name}-%{version}.tar.bz2
Patch0:		patch-macro-H.bz2
BuildRequires:	ocaml
BuildRequires:	hevea
BuildRequires:	tetex-latex
BuildRequires:	tetex-dvips
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
bibtex2html is a collection of tools for translating from BibTeX to
HTML. They allow to produce, from a set of bibliography files in BibTeX
format, a bibliography in HTML format. Here are some features: 
- Handle any BibTeX style (even those producing multiple bibliographies); 
- Use additional fields like abstract, url, ps, etc. to insert web links; 
- Crossrefs are also replaced by links; 
- Sort by dates or authors, in increasing or decreasing order; 
- Read simple macros in TeX or LaTeX files; 
- Show syntax errors in BibTeX files; 
- Extract from one or several BibTeX files the set of entries satisfying
  a given criterion. 

%prep
%setup -q
%patch0 -p0

%build
%configure
%make
%make doc

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 755 aux2bib bib2bib bibtex2html %{buildroot}%{_bindir}
install -m 644 aux2bib.1 bib2bib.1 bibtex2html.1 %{buildroot}%{_mandir}/man1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYING GPL README manual.ps manual.html
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Fri Aug 25 2006 Lev Givon <lev@mandriva.org> 1.82-2mdv2007.0
- add patch for Hungarian umlauts from Jean-Christophe.

* Mon Jul 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.82-1mdv2007.0
- New version 1.82
- quiet setup

* Wed May 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.81-1mdk
- New release 1.81

* Mon Apr 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.80-1mdk
- New release 1.80

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.79-1mdk
- New release 1.79

* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.78-1mdk
- New release 1.78
- %%mkrel

* Thu Nov 24 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.77-1mdk
- New release 1.77

* Mon Sep 26 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.76-1mdk
- New release 1.76

* Mon Apr 25 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.75-1mdk
- New release 1.75
- spec cleanup
- rm -rf %%buildroot in install

* Fri Jul 09 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.70-1mdk 
- new version

* Thu Apr 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.69-1mdk
- new version

* Fri Dec 12 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.65-1mdk
- new version

* Thu Jun 26 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.60-1mdk
- 1.60

* Fri Apr 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.57-1mdk
- 1.57
- fixed buildrequires (Stefan van der Eijk <stefan@eijk.nu>)

* Tue Jan 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.56-1mdk
- 1.16

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.52-2mdk
- rebuild

* Wed Feb 27 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.52-1mdk
- first mdk release
